Mailinglist Archive: opensuse-factory (331 mails)

< Previous Next >
[opensuse-factory] New Tumbleweed snapshot 20181120 released!

Please note that this mail was generated by a script.
The described changes are computed based on the x86_64 DVD.
The full online repo contains too many changes to be listed here.

Please check the known defects of this snapshot before upgrading:
https://openqa.opensuse.org/tests/overview?distri=opensuse&groupid=1&version=Tumbleweed&build=20181120

Please do not reply to this email to report issues, rather file a bug
on bugzilla.opensuse.org. For more information on filing bugs please
see https://en.opensuse.org/openSUSE:Submitting_bug_reports

Packages changed:
MozillaThunderbird (60.3.0 -> 60.3.1)
acl
bijiben (3.30.2 -> 3.30.3)
evolution
evolution-ews
gcc8 (8.2.1+r265487 -> 8.2.1+r265901)
gobject-introspection (1.58.0 -> 1.58.1)
graphviz
graphviz-addons
gtkspell3 (3.0.9 -> 3.0.10)
hdf5 (1.10.3 -> 1.10.4)
hunspell (1.6.2 -> 1.7.0)
intel-gpu-tools
iso-codes (3.79 -> 4.1)
kded
keyutils (1.5.10 -> 1.5.11)
libgda
libupnp (1.6.25 -> 1.8.4)
mailx
mtools (4.0.19 -> 4.0.20)
php7
psmisc
pulseaudio
python-lxml (4.2.4 -> 4.2.5)
remmina (1.2.32 -> 1.2.32.1)
rubygem-concurrent-ruby (1.1.1 -> 1.1.3)
rubygem-method_source (0.9.1 -> 0.9.2)
rubygem-thor (0.20.0 -> 0.20.3)
sbc (1.3 -> 1.4)
skopeo (0.1.31 -> 0.1.32)
spice-gtk
suse-module-tools (12.4 -> 15.0.1)
systemd
transactional-update (2.10 -> 2.11)
wicked (0.6.51 -> 0.6.52)
xfsprogs (4.18.0 -> 4.19.0)
xmlgraphics-fop
xscreensaver (5.37 -> 5.40)
yast2 (4.1.33 -> 4.1.34)

=== Details ===

==== MozillaThunderbird ====
Version update (60.3.0 -> 60.3.1)
Subpackages: MozillaThunderbird-translations-common

- Mozilla Thunderbird 60.3.1:
* Double-clicking on a word in the Write window sometimes
launched the Advanced Property Editor or Link Properties dialog
* Fixe Cookie removal
* "Download rest of message" was not working if global inbox was
used
* Fix Encoding problems for users (especially in Poland) when a
file was sent via a folder using "Sent to > Mail recipient"
due to a problem in the Thunderbird MAPI interface
* According to RFC 4616 and RFC 5721, passwords containing
non-ASCII characters are encoded using UTF-8 which can lead to
problems with non-compliant providers, for example
office365.com. The SMTP LOGIN and POP3 USER/PASS
authentication methods are now using a Latin-1 encoding again
to work around this issue
* Fix shutdown crash/hang after entering an empty IMAP password

==== acl ====
Subpackages: libacl1 libacl1-32bit

- libacl-devel used to require libattr-devel, but that is no longer
the case, packages that relied on this indirect dependency to
be present were fixed years ago.

==== bijiben ====
Version update (3.30.2 -> 3.30.3)
Subpackages: bijiben-lang gnome-shell-search-provider-bijiben

- Update to version 3.30.3:
+ Fixed shell search provider crash.
+ Updated translations.

==== evolution ====
Subpackages: evolution-lang evolution-plugin-bogofilter
evolution-plugin-pst-import evolution-plugin-spamassassin

- Replace pkgconfig(enchant) with pkgconfig(enchant-2)
BuildRequires: Both are supported, so lets use the one maintained
upstream.

==== evolution-ews ====
Subpackages: evolution-ews-lang

- Drop pkgconfig(enchant) BuildRequires: No longer needed.

==== gcc8 ====
Version update (8.2.1+r265487 -> 8.2.1+r265901)
Subpackages: cpp8 gcc8-c++ gcc8-fortran gcc8-info gcc8-locale gcc8-objc
libasan5 libatomic1 libgcc_s1 libgcc_s1-32bit libgfortran5 libgomp1 libitm1
liblsan0 libmpx2 libmpxwrappers2 libobjc4 libquadmath0 libstdc++6
libstdc++6-32bit libstdc++6-devel-gcc8 libtsan0 libubsan1

- Update to gcc-8-branch head (r265901).
* Includes fix for PR87859. [bnc#1115229]
* Includes fix for the PR86751 ABI break, removing gcc8-pr86751.patch.

==== gobject-introspection ====
Version update (1.58.0 -> 1.58.1)
Subpackages: girepository-1_0 libgirepository-1_0-1

- Update to version 1.58.1:
+ meson:
- Install warnlib.
- Add back /usr/bin/env to the python-cmd.
+ scanner: Parse __typeof__ and discard it.
+ Fix non libtool build.
- Drop gobject-introspection-3.30.0-install-warnlib.patch: Fixed
upstream.
- Modernize spec, use autosetup macro.

==== graphviz ====
Subpackages: graphviz-plugins-core libgraphviz6

- Fixed double file declaration in graphviz and graphviz-addons (x11)
- Mark license files with %license instead of %doc
- Build with gts support (bsc#1108978, bsc#1108976)
SLE12 flavors do not provide gts, so explicitly exclude
gts support there.
- Extend reproducible.patch to make build reproducible (boo#1041534)
- Build with PHP5 for Leap 42.x and earlier, PHP7 requires swig 3.0.11
Drop graphviz-plugins-fix_install_dirs.patch, use sed script to
fix directories, same as for Lua
- Do not delete dotty/lefty/lneato man pages which are part of
the x11 subpackage, built from the addons package/spec.
(No changelog entry).
- Drop harmful modification of tclpkg/gv/gv_doc_langs.tcl, which
changes the timestamp, although the file does not contain LIB_DIR.
Graphviz ships prebuilt manpages in man and PDF format. Modifying
the tcl script rebuilt the documentation, and replaced the PDFs
with empty documents (due to missing groff). This also made the
doc subpackage nonreproducible, causing rebuilds in all dependent
packages.
- Disable guile 2.2 modifications temporarily
- Move lefty/dotty/lneato graph editor tools to x11 subpackage and
build as part of addons package. Removes any X11 dependency from
core package, both build and runtime.
- Drop unused libXaw6 build dependency
- move libpng, libjpeg, freetype and fontconfig build dependencies
to addons, unused for core
- Move to pkgconfig(guile-2.2) BuildRequires on suse_version >=
1500.

==== graphviz-addons ====
Subpackages: graphviz-gd graphviz-gnome

- Fixed double file declaration in graphviz and graphviz-addons (x11)
- Mark license files with %license instead of %doc
- Build with gts support (bsc#1108978, bsc#1108976)
SLE12 flavors do not provide gts, so explicitly exclude
gts support there.
- Extend reproducible.patch to make build reproducible (boo#1041534)
- Build with PHP5 for Leap 42.x and earlier, PHP7 requires swig 3.0.11
Drop graphviz-plugins-fix_install_dirs.patch, use sed script to
fix directories, same as for Lua
- Do not delete dotty/lefty/lneato man pages which are part of
the x11 subpackage, built from the addons package/spec.
(No changelog entry).
- Drop harmful modification of tclpkg/gv/gv_doc_langs.tcl, which
changes the timestamp, although the file does not contain LIB_DIR.
Graphviz ships prebuilt manpages in man and PDF format. Modifying
the tcl script rebuilt the documentation, and replaced the PDFs
with empty documents (due to missing groff). This also made the
doc subpackage nonreproducible, causing rebuilds in all dependent
packages.
- Disable guile 2.2 modifications temporarily
- Move lefty/dotty/lneato graph editor tools to x11 subpackage and
build as part of addons package. Removes any X11 dependency from
core package, both build and runtime.
- Drop unused libXaw6 build dependency
- move libpng, libjpeg, freetype and fontconfig build dependencies
to addons, unused for core
- Move to pkgconfig(guile-2.2) BuildRequires on suse_version >=
1500.

==== gtkspell3 ====
Version update (3.0.9 -> 3.0.10)
Subpackages: gtkspell3-lang libgtkspell3-3-0

- Update to version 3.0.10:
+ Port to enchant-2.
+ Updated translations.
- Replace pkgconfig(enchant) with pkgconfig(enchant-2) following
upstreams port.

==== hdf5 ====
Version update (1.10.3 -> 1.10.4)
Subpackages: libhdf5-103 libhdf5_hl100

- Replace git-archive generated by downloaded tar-ball.
- Update to 1.10.4:

https://support.hdfgroup.org/ftp/HDF5/releases/hdf5-1.10/hdf5-1.10.4/src/hdf5-1.10.4-RELEASE.txt
* Update Disable-phdf5-tests.patch
* Replace and update hdf5-buildcompare.patch by
hdf5-Remove-timestamps-from-binaries.patch
- Remove lib*_cpp and lib*_hl_cpp dependencies for MPI for the time
being.

==== hunspell ====
Version update (1.6.2 -> 1.7.0)
Subpackages: hunspell-tools

- Version update to 1.7.0:
* add SPELLML support for run-time dictionary extensio
* No annoying suggestion times any more, especially in languages with
compound word handling and complex morphology
* Improved, highly customizable suggestions on level of dictionary words
* Handling multiple word suggestions is much more easier
* Limit compound overgeneration by dictionary based word pairs
* makealias dictionary compression
* Various minor bugfixes

==== intel-gpu-tools ====

- n_disable-build-of-gem_userptr_blits.patch
* disabled build of gem_userptr_blits test in order to fix build
on SUSE <= sle15/Leap15

==== iso-codes ====
Version update (3.79 -> 4.1)
Subpackages: iso-codes-lang

- Update to version 4.01:
+ ISO-3166-2: Update codes for ZA-GT (Gauteng) and ZA-NL (Kwazulu-Natal)
+ ISO-3166-3: translations (Italian)
+ ISO-15924: translations (Estonian)

==== kded ====
Subpackages: kded-lang

- Add patch to rebuild sycoca quicker (boo#1111420):
* 0001-Decrease-the-delay-between-change-notification-and-s.patch

==== keyutils ====
Version update (1.5.10 -> 1.5.11)
Subpackages: libkeyutils1 libkeyutils1-32bit

- add upstream signing key and verify source signature
- updated to 1.5.11 (bsc#1113013)
- Add keyring restriction support.
- Add KDF support to the Diffie-Helman function.
- DNS: Add support for AFS config files and SRV records

==== libgda ====
Subpackages: libgda-5_0-4 libgda-5_0-4-lang libgda-5_0-bdb libgda-5_0-sqlite
libgda-ui-5_0-4 libgda-ui-5_0-plugins

- Update libgda-jre10.patch: Support current and future Java
versions (up to 19).

==== libupnp ====
Version update (1.6.25 -> 1.8.4)

- Version update to 1.8.4:
* Various fixes to communicate right with some TVs
* Compiler fixes
* Testsuite fun
- Rebase patch libupnp-configure.patch

==== mailx ====

- Repair ghost links used by update-alternatives

==== mtools ====
Version update (4.0.19 -> 4.0.20)

- Update to 4.0.20:
* initialize directory entries to 0
* bad message "Too few sectors" replaced with "Too many sectors"
* apostrophe in mlabel no longer causes generation of long entry
* option to fake system date for file creation using the
SOURCE_DATE_EPOCH environment variables
* can now be compiled with "clang" compiler
* fallback function for strndup, for those platforms that don't have it
* fixed a number of -Wextra warnings
* new compressed archive formats for uz/lz
* allow to specify number of reserved sectors for FAT32.
* file/device locking with timeout (rather than immediate failure)
* fixed support for BPB-less legacy formats.
* removed check that disk must be an integer number of tracks.
* removed .eh/.oh macros from manual pages

==== php7 ====
Subpackages: apache2-mod_php7 php7-bcmath php7-bz2 php7-calendar php7-ctype
php7-curl php7-dba php7-devel php7-dom php7-exif php7-fastcgi php7-ftp php7-gd
php7-gettext php7-gmp php7-iconv php7-json php7-ldap php7-mbstring php7-mysql
php7-odbc php7-openssl php7-pdo php7-pear php7-pear-Archive_Tar php7-pgsql
php7-shmop php7-snmp php7-sockets php7-sqlite php7-sysvsem php7-sysvshm
php7-tidy php7-tokenizer php7-wddx php7-xmlreader php7-xmlwriter php7-xsl
php7-zlib

- core package recommends instead of requires smtp_daemon
[bsc#1115213]

==== psmisc ====
Subpackages: psmisc-lang

- Modify patch 0001-Use-mountinfo-to-be-able-to-use-the-mount-identity.patch
to handle sub volumes of the btrFS (bsc#1112780)

==== pulseaudio ====
Subpackages: libpulse-mainloop-glib0 libpulse0 pulseaudio-bash-completion
pulseaudio-lang pulseaudio-module-bluetooth pulseaudio-module-gsettings
pulseaudio-module-x11 pulseaudio-module-zeroconf pulseaudio-utils

- Drop ghost from gdm hook dir to sync with gdm package itself
- Fix setup-pulseaudio script to deal with the new alsa/conf.d
setup that was introduced since alsa-lib 1.1.7 (bsc#1116153)
- Add a Supplements line to pulseaudio-gdm-hooks so it's selected
for installation when gdm and pulseaudio are installed.
- Don't create files under /var on package installation but using
systemd-tmpfiles to be friendly to transactional updates
(bsc#1098063, fate#325524)
- Add pulseaudio.tmpfiles and pulseaudio-gdm-hooks.tmpfiles

==== python-lxml ====
Version update (4.2.4 -> 4.2.5)
Subpackages: python2-lxml python3-lxml

- Update to 4.2.5
* Javascript URLs that used URL escaping were not removed by the HTML cleaner.
Security problem found by Omar Eissa.

==== remmina ====
Version update (1.2.32 -> 1.2.32.1)
Subpackages: remmina-lang remmina-plugin-rdp remmina-plugin-secret
remmina-plugin-vnc remmina-plugin-xdmcp

- Upgraded to 1.2.32.1
* Add desktop-gnome-platform and fix themes in SNAP
* Implement smartcard name setting
* man+help: elaborate on file types of -connect and -edit cmd line options
* RDP: add FREERDP_ERROR_SERVER_DENIED_CONNECTION message
* Removing X11Forwarding code as it is wrong and causing issues
* Updated turkish translation

==== rubygem-concurrent-ruby ====
Version update (1.1.1 -> 1.1.3)

- updated to version 1.1.3
* (#775) fix partial require of the gem (although not officially supported)
[#] From version 1.1.2
* (#773) more defensive 1.9.3 support

==== rubygem-method_source ====
Version update (0.9.1 -> 0.9.2)

- updated to version 0.9.2
no changelog found

==== rubygem-thor ====
Version update (0.20.0 -> 0.20.3)

- updated to version 0.20.3
* Support old versions of `did_you_mean`.
[#] from version 0.20.2
* Fix `did_you_mean` support.
[#] from version 0.20.1
* Support new versions fo ERB.
* Fix `check_unknown_options!` to not check the content that was not parsed,
i.e. after a `--` or after the first unknown with `stop_on_unknown_option!`
* Add `did_you_mean` support.

==== sbc ====
Version update (1.3 -> 1.4)
Subpackages: libsbc1

- update to version 1.4:
* Fix issue with stack overflow within sbc_crc8 function.

==== skopeo ====
Version update (0.1.31 -> 0.1.32)

- Update to skopeo v0.1.32:
* Add command time out support
* Updates to vendored libraries
- Add a patch that implements the `skopeo sync` command, generated from the
upstream PR: https://github.com/containers/skopeo/pull/524
Fix bsc#1115165
+ bsc1115165-0001-Introduce-the-sync-command.patch
- Update project location from 'projectatomic' to 'containers'

==== spice-gtk ====
Subpackages: libspice-client-glib-2_0-8 libspice-client-glib-helper
libspice-client-gtk-3_0-5

- Add README.SUSE with information regarding the kvm group requirement for the
USB passthrough feature to work.

==== suse-module-tools ====
Version update (12.4 -> 15.0.1)

- Update to version 15.0.1 (git 5c63319):
- Use /etc/modules-load.d/sg.conf for sg driver autoloading
(bsc#1036463)
* added /etc/modules-load.d/sg.conf
- version 15.0 (git 6ce3011)
- modsign-verify: support for parsing PKCS#7 signatures
(bsc#1111300, bsc#1105495)
- Fix logic for unsupported modules (bsc#1111183)
* SLES15: allow unsupported modules only if kernel-default-extra
from SLE-WE module is installed
* Always allow unsupported modules on Leap 15 and Factory
* No change for SLE12 / Leap 42.x and below
* 10-unsupported-modules.conf: improved comments
* fix %config(noreplace) logic for 10-unsupported-modules.conf
- added udev rule 81-sg.rules to make sure the sg module is
always loaded (bsc#1036463)
- Use path dependency that is not parsed by obs to ensure we
are not pulling systemd everywhere
- Set url to github project and repack using obs service
- Cleanup a bit with spec-cleaner
- Grep os-release and not deprecated SuSE-release

==== systemd ====
Subpackages: libsystemd0 libsystemd0-32bit libudev-devel libudev1
libudev1-32bit systemd-32bit systemd-coredump systemd-logger systemd-sysvinit
udev

- Import commit 69f9f79e1b03e3d23df25b61cbcc9304af3e358f (bsc#1080919
CVE-2018-6954)
f3615ce49 tmpfiles: don't adjust qgroups on existing subvolumes (bsc#1093753)
7165e92f4 tmpfiles: use fd_get_path() even less excessively
c2c531c1d test: make TEST-22 easier to debug, by outputting to /dev/console
621b78317 test: don't use "nobody:nogroup" for tests
1f9c7acad tmpfiles: return correct error variable after fd_reopen()
2236280c1 tmpfiles: reindent one comment less weirdly
f6bdfb889 tmpfiles: use correct error variable
bc75127cd tmpfiles: clarify that we ignore file attribute setting errors
621c8b1fe tmpfiles: add log message where we previously failed silently
bc9229630 tmpfiles: use fd_get_path() less excessively
5a1106039 tmpfiles: add more tests
c974086cc tmpfiles: don't follow unsafe transitions in path_set_*()
e64a510eb fs-util: add new CHASE_NOFOLLOW flag to chase_symlinks()
7480154d0 tmpfiles: make create_fifo() safe
eb890962c fs-util: introduce mkfifoat_atomic() helper
653bb81af fileio: make tempfn_random_child() accept empty string as path
2b1e12bfe tmpfiles: introduce create_fifo()
6dd80f289 tmpfiles: introduce empty_directory()
f2c137edf tmpfiles: introduce create_directory() and create_subvolume() and
make them safe
6a76f6dfb basic/stat-util: introduce is_dir_fd()
38a7f2e81 btrfs-util: unfuck tmpfiles' subvol creation
26e19b6fe btrfs-util: introduce btrfs_subvol_make_fd()
5fb5bdf5d basic/label: introduce mkdirat_label()/mkdirat_errno_wrapper()
helpers
390b767da selinux: introduce mac_selinux_create_file_prepare_at()
0f72fadba smack: introduce mac_smack_fix_at()
f2838154b tmpfiles: introduce create_directory_or_subvolume()
2de697fb8 tmpfiles: make create_device() safe
558c5fec7 tmpfiles: introduce create_device()
dee986b1d tmpfiles: make copy_files() safe
cacb14d3f tmpfiles: introduce copy_files() routine
81c85ce17 tmpfiles: make write_one_file() safe
9ec6b92ab tmpfiles: make truncate_file() safe
8dde36e03 tmpfiles: introduce truncate_file() which deals with 'F' exclusively
481134a93 tmpfiles: introduce create_file() which deals with 'f'/'F'
exclusively
057861560 tmpfiles: make the stat struct parameter in fd_set_*() optional
f37caffda tmpfiles: stat file in item_do() rather than in its callers
86f1362d4 tmpfiles: set only default acls to folders #9545 (#9599)

==== transactional-update ====
Version update (2.10 -> 2.11)

- Use noun phrase in summary.
- Update to version 2.11
- Update man page to explain new /etc overlay handling
- Add special handling for migrating away from old overlay directory
- Read default update method for systemd service from config file
- Add package "transactional-update-zypp-config" to prevent accidental
transactional-update uninstallation on transactional systems
(boo#1111319)
- Use "up" for systemd service on non-rolling release distributions
(boo#1111321)

==== wicked ====
Version update (0.6.51 -> 0.6.52)
Subpackages: libwicked-0-6 wicked-service

- version 0.6.52
- wickedd: fix netdev detection bootstrap race (bsc#1107579)
- compat: fix ifcfg parsing crash if network/config is missed

==== xfsprogs ====
Version update (4.18.0 -> 4.19.0)
Subpackages: libhandle1

- Update to v4.19.0
* Fix up debian subdir build w.r.t. CHECK_CMD
* Remove non-linux platforms
* Remove retpoline support
* Add sparse checking & related fixes/cleanups
* Fix cross-platform building w.r.t. crc32selftest
* libxfs: add agfl free deferred op type
* mkfs.xfs: discard only after all validations
* xfs_repair: fix segfault in longform_dir2_entry_check
* xfs_repair: fix ASSERT in xfs_bunmapi
* xfs_repair: fix redahead thread deadlock/stall
* xfs_repair: avoid wriing back all inodes
* xfs_repair: don't treat directory root LEAFN as corrupt
* xfs_io: add crc32 self test
* xfs_io: remove useless do_preadv and do_pwritev arguments
* xfs_scrub: make scrub build config-optional
* xfs_scrub: lack of kernel support is not a service failure
* xfs_scrub_all: fix systemd escaping
* majority of 4.19 libxfs changes merged from kernel
* big sparse static checker cleanup
* mkfs.xfs discard fixes
* xfs_io readv/writev cleanup
* libxfs transaction commit error checking

==== xmlgraphics-fop ====

- version 2.1
Change requirement from java-devel-openjdk >= 1.8.0 to
java-devel-openjdk >= 9 to avoid tracebacks because of compatibility
issues with java.nio.Buffer, for example:
java.lang.NoSuchMethodError:
java.nio.CharBuffer.rewind()Ljava/nio/CharBuffer;
- Do not depend on a particular xml-commons-apis provider.

==== xscreensaver ====
Version update (5.37 -> 5.40)
Subpackages: xscreensaver-data xscreensaver-data-extra xscreensaver-lang

- Update do version 5.40:
* New hacks filmleader vfeedback glitchpeg, razzledazzle,
peepers, crumbler, maze3d and esper.
* webcollagenow works with ImageMagick.
* Improvemenrs of GLPlanet, DymaxionMap, Tessellimage, XAnalogTV.
* More heuristics for using RSS feeds as image sources.
* Built-in image assets are now PNG instead of XPM or XBM.
* Better font-loading fallback.
- Refresh xscreensaver-disable-upgrade-nagging-message.patch.
- Remove obsolete --with-xpm.
- When we are disabling nagging message then reports sent be to us
(bnc#890595, xscreensaver-bug-reports.patch).
- Lock after completing fade
(boo#1101393, xscreensaver-lock-after-fade.patch).

==== yast2 ====
Version update (4.1.33 -> 4.1.34)
Subpackages: yast2-logs

- check return value of OpenDialog to prevent crash (bsc#1115745)
- 4.1.34


--
To unsubscribe, e-mail: opensuse-factory+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-factory+owner@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages